{% if dataset.tags is not empty %}
  <div class="row mx-1 mb-3">
    <h3 class="dataset__title dex_-title--sub mt-4">
      {{ 'Classifications'|t }}
    </h3>
    <table class="dataset__table table">
      <tbody>
        <tr>
          <td class="ps-30">{{ 'Keywords'|t }}</td>
          <td>
            {% for tag in dataset.tags %}
              {% if tag.display_name %}
                {% set tag_name = tag.display_name %}
              {% elseif tag.name %}
                {% set tag_name = tag.name %}
              {% endif %}

              {% if tag_name %}
                {% set query_string = {
                  'query': '-',
                  'filters': 'keyword:' ~ tag.name,
                  'page_number': 1,
                  'scope': 'dataset'
                } %}
              <a href="{{ path('dexes_search.search.dataset', query_string) }}" rel="nofollow" data-toggle="tooltip"
                 data-placement="top" title="{{ 'Show all datasets with this keyword'|t }}">
                <span itemprop="keywords">{{ tag_name|title }}</span></a>{% if not loop.last %}, {% endif %}
              {% endif %}
            {% endfor %}
          </td>
        </tr>
      </tbody>
    </table>
  </div>
{% endif %}
